Bug 1476237 - Review Request: perl-Graphics-TIFF - Perl extension for the LibTIFF library
Review Request: perl-Graphics-TIFF - Perl extension for the LibTIFF library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1378895
  Show dependency treegraph
 
Reported: 2017-07-28 07:51 EDT by Petr Pisar
Modified: 2017-12-09 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Graphics-TIFF-4-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-09 17:24:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-28 07:51:58 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Graphics-TIFF/perl-Graphics-TIFF.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Graphics-TIFF/perl-Graphics-TIFF-4-1.fc27.src.rpm
Description:
The Graphics::TIFF module allows a Perl developer to access TIFF images using
LibTIFF library in a Perlish and object-oriented way.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2017-08-01 07:17:19 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Graphics-TIFF-4-1.fc27.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.26()(64bit)
      1 libtiff.so.5()(64bit)
      1 libtiff.so.5(LIBTIFF_4.0)(64bit)
      1 perl(base)
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(Readonly)
      1 perl(strict)
      1 perl(:VERSION) >= 5.8.5
      1 perl(warnings)
      1 perl(XSLoader)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -qp --provides perl-Graphics-TIFF-4-1.fc27.x86_64.rpm | sort | uniq -c
      1 perl(Graphics::TIFF) = 4
      1 perl-Graphics-TIFF = 4-1.fc27
      1 perl-Graphics-TIFF(x86-64) = 4-1.fc27
Binary provides are Ok.

$ rpmlint ./perl-Graphics-TIFF*
perl-Graphics-TIFF.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
perl-Graphics-TIFF.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint is ok

FIX: The new version '5' appears, please update the package.

Otherwise the package looks good.
Approved
Comment 2 Gwyn Ciesla 2017-08-01 08:27:01 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Graphics-TIFF
Comment 3 Petr Pisar 2017-08-01 08:58:54 EDT
Thank you for the review and the repository. I will upgrade the package later.
Comment 4 Fedora Update System 2017-11-21 05:56:35 EST
perl-PDF-API2-2.033-2.fc26 perl-Graphics-TIFF-6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-df8f734c08
Comment 5 Fedora Update System 2017-11-22 06:09:27 EST
perl-Graphics-TIFF-6-1.fc26, perl-PDF-API2-2.033-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-df8f734c08
Comment 6 Fedora Update System 2017-12-09 17:24:22 EST
perl-Graphics-TIFF-6-1.fc26, perl-PDF-API2-2.033-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.